(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.1' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     15875,        385]
NotebookOptionsPosition[     15969,        364]
NotebookOutlinePosition[     16568,        389]
CellTagsIndexPosition[     16525,        386]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
\:9023\:7acb\:4e0d\:7b49\:5f0f\:3000x\[GreaterEqual]0,  y\[GreaterEqual]0,  2 \
x+y-10\[LessEqual]0,  x+2 \
y-8\[LessEqual]0\:3000\:306e\:8868\:3059\:9818\:57df\:ff24\:5185\:306e\:70b9\
\:ff30(x,y)
x+y=k \:306e\:6700\:5927\:5024\:ff64\:6700\:5c0f\:5024\
\>", "Subsection", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    1, $CellContext`p$$ = {2.51, 1.2199999999999998`}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1, "\:9818\:57df\:8aac\:660e"}, {0, 1}}, {{
       Hold[$CellContext`b$$], 0, "x+y=k"}, {0, 1}}, {{
       Hold[$CellContext`p$$], {1, 2}}, Automatic}}, Typeset`size$$ = {
    374., {235., 240.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$167783$$ = 
    False, $CellContext`b$167784$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        0, $CellContext`p$$ = {1, 2}}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$167783$$, False], 
        Hold[$CellContext`b$$, $CellContext`b$167784$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[
         Plot[{(-$CellContext`x)/2 + 4, -$CellContext`x + 
           Part[$CellContext`p$$, 1] + 
           Part[$CellContext`p$$, 2]}, {$CellContext`x, -5, 10}, PlotStyle -> {
            Opacity[$CellContext`a$$], 
            Opacity[$CellContext`b$$]}, AspectRatio -> Automatic, Axes -> 
          True, AxesStyle -> Blue, GridLines -> {
            Range[-10, 10, 1], 
            Range[-20, 20, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-3, 8}, {-3, 11}}, Epilog -> {
            If[$CellContext`a$$ == 1, {
              Text[
               Style["x+2 y-8\[LessEqual]0", 15], {2, 3}], 
              Text[
               Style["2 x+y-10\[LessEqual]0", 15], {5, 1}], 
              Text[
               Style["x\[GreaterEqual]0", 15], {0, 1.2}], 
              Text[
               Style["y\[GreaterEqual]0", 15], {3, 0.2}]}], 
            Text[
             Style["(4,2)", Large], {4, 2 + 0.5}], 
            Text[
             Style["P", Large], $CellContext`p$$ + {-0.5, 0}], 
            Text[
             Style[
              StringJoin[
               Map[
               ToString[#]& , {
                "k=", Round[Part[$CellContext`p$$, 1] 10] 0.1 + 
                 Round[Part[$CellContext`p$$, 2] 10] 0.1}]], Large], {-1, 7}], 
            Text[
             Style[
              StringJoin[
               Map[
               ToString[#]& , {
                "(x=", Round[Part[$CellContext`p$$, 1] 10] 0.1, "\:ff0c y=", 
                 Round[Part[$CellContext`p$$, 2] 10] 0.1, ")"}]], Large], {4, 
             7}]}, LabelStyle -> (FontSize -> 17), Ticks -> {{0, 2}}]], 
        Plot[(-2) $CellContext`x + 10, {$CellContext`x, -5, 10}, PlotStyle -> 
         Opacity[$CellContext`a$$]], 
        Graphics[
         RegionPlot[{
           
           And[$CellContext`x >= 0, $CellContext`y >= 0, 
            2 $CellContext`x + $CellContext`y - 10 <= 
            0, $CellContext`x + 2 $CellContext`y - 8 <= 0]}, {$CellContext`x, 
           0, 6}, {$CellContext`y, 0, 6}, PlotStyle -> {
            Opacity[0.5], Yellow}]], 
        Graphics[{
          PointSize[Large], 
          Point[$CellContext`p$$], 
          Point[{4, 2}], {Red, 
           
           Point[{0, Part[$CellContext`p$$, 1] + 
             Part[$CellContext`p$$, 2]}]}}]], 
      "Specifications" :> {{{$CellContext`a$$, 1, 
          "\:9818\:57df\:8aac\:660e"}, {0, 
         1}}, {{$CellContext`b$$, 0, "x+y=k"}, {0, 
         1}}, {{$CellContext`p$$, {1, 2}}, Automatic, ControlType -> 
         Locator}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{485., {261., 268.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
\:9023\:7acb\:4e0d\:7b49\:5f0f\:3000x\[GreaterEqual]0,  y\[GreaterEqual]0,  2 \
x+y-8\[LessEqual]0,  x+3 y-9\[LessEqual]0\:3000\:306e\:8868\:3059\:9818\:57df\
\:ff24\:5185\:306e\:70b9\:ff30(x,y)
x+y=k \:306e\:6700\:5927\:5024\:ff64\:6700\:5c0f\:5024\
\>", "Subsection", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0, $CellContext`b$$ = 
    1, $CellContext`p$$ = {1, 2}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1, "\:9818\:57df\:8aac\:660e"}, {0, 1}}, {{
       Hold[$CellContext`b$$], 0, "x+y=k"}, {0, 1}}, {{
       Hold[$CellContext`p$$], {1, 2}}, Automatic}}, Typeset`size$$ = {
    374., {235., 240.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$169721$$ = 
    False, $CellContext`b$169722$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        0, $CellContext`p$$ = {1, 2}}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$169721$$, False], 
        Hold[$CellContext`b$$, $CellContext`b$169722$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[
         Plot[{(-2) $CellContext`x + 8, -$CellContext`x + 
           Part[$CellContext`p$$, 1] + 
           Part[$CellContext`p$$, 2]}, {$CellContext`x, -5, 10}, PlotStyle -> {
            Opacity[$CellContext`a$$], 
            Opacity[$CellContext`b$$]}, AspectRatio -> Automatic, Axes -> 
          True, AxesStyle -> Blue, GridLines -> {
            Range[-10, 10, 1], 
            Range[-20, 20, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-3, 8}, {-3, 11}}, Epilog -> {
            If[$CellContext`a$$ == 1, {
              Text[
               Style["2 x+y-8\[LessEqual]0", 15], {4, 1}], 
              Text[
               Style["x+3y-9\[LessEqual]0", 15], {2, 3}], 
              Text[
               Style["x\[GreaterEqual]0", 15], {0, 1}], 
              Text[
               Style["y\[GreaterEqual]0", 15], {3, 0.2}]}], 
            Text[
             Style["(3,2)", Large], {3, 2 + 0.5}], 
            Text[
             Style["P", Large], $CellContext`p$$ + {-0.5, 0}], 
            Text[
             Style[
              StringJoin[
               Map[
               ToString[#]& , {
                "k=", Round[Part[$CellContext`p$$, 1] 10] 0.1 + 
                 Round[Part[$CellContext`p$$, 2] 10] 0.1}]], Large], {-1, 7}], 
            Text[
             Style[
              StringJoin[
               Map[
               ToString[#]& , {
                "(x=", Round[Part[$CellContext`p$$, 1] 10] 0.1, "\:ff0c y=", 
                 Round[Part[$CellContext`p$$, 2] 10] 0.1, ")"}]], Large], {4, 
             7}]}, LabelStyle -> (FontSize -> 17), Ticks -> {{0, 2}}]], 
        Plot[(-$CellContext`x)/3 + 3, {$CellContext`x, -5, 10}, PlotStyle -> 
         Opacity[$CellContext`a$$]], 
        Graphics[
         RegionPlot[{
           
           And[$CellContext`x >= 0, $CellContext`y >= 0, 
            2 $CellContext`x + $CellContext`y - 8 <= 
            0, $CellContext`x + 3 $CellContext`y - 9 <= 0]}, {$CellContext`x, 
           0, 6}, {$CellContext`y, 0, 6}, PlotStyle -> {
            Opacity[0.5], Yellow}]], 
        Graphics[{
          PointSize[Large], 
          Point[$CellContext`p$$], 
          Point[{3, 2}], {Red, 
           
           Point[{0, Part[$CellContext`p$$, 1] + 
             Part[$CellContext`p$$, 2]}]}}]], 
      "Specifications" :> {{{$CellContext`a$$, 1, 
          "\:9818\:57df\:8aac\:660e"}, {0, 
         1}}, {{$CellContext`b$$, 0, "x+y=k"}, {0, 
         1}}, {{$CellContext`p$$, {1, 2}}, Automatic, ControlType -> 
         Locator}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{485., {261., 268.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
\:9023\:7acb\:4e0d\:7b49\:5f0f\:3000x\[GreaterEqual]0,  y\[GreaterEqual]0,  3 \
x+y\[LessEqual]7,  x+2 y\[LessEqual]4\:3000\:306e\:8868\:3059\:9818\:57df\
\:ff24\:5185\:306e\:70b9\:ff30(x,y)
2 x+y=k \:306e\:6700\:5927\:5024\:ff64\:6700\:5c0f\:5024\
\>", "Subsection", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0, $CellContext`b$$ = 
    1, $CellContext`p$$ = {1, 1}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1, "\:9818\:57df\:8aac\:660e"}, {0, 1}}, {{
       Hold[$CellContext`b$$], 0, "2x+y=k"}, {0, 1}}, {{
       Hold[$CellContext`p$$], {1, 1}}, Automatic}}, Typeset`size$$ = {
    374., {235., 240.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$170087$$ = 
    False, $CellContext`b$170088$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        0, $CellContext`p$$ = {1, 1}}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$170087$$, False], 
        Hold[$CellContext`b$$, $CellContext`b$170088$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[
         Plot[{(-3) $CellContext`x + 7, (-2) $CellContext`x + 
           2 Part[$CellContext`p$$, 1] + 
           Part[$CellContext`p$$, 2]}, {$CellContext`x, -5, 10}, PlotStyle -> {
            Opacity[$CellContext`a$$], 
            Opacity[$CellContext`b$$]}, AspectRatio -> Automatic, Axes -> 
          True, AxesStyle -> Blue, GridLines -> {
            Range[-10, 10, 1], 
            Range[-20, 20, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-3, 8}, {-3, 11}}, Epilog -> {
            If[$CellContext`a$$ == 1, {
              Text[
               Style["3 x+y\[LessEqual]7", 15], {3, 0.3}], 
              Text[
               Style["x+2y\[LessEqual]4", 15], {1, 2}], 
              Text[
               Style["x\[GreaterEqual]0", 15], {0, 1}], 
              Text[
               Style["y\[GreaterEqual]0", 15], {1, 0.2}]}], 
            Text[
             Style["(2,1)", Large], {2, 1 + 0.5}], 
            Text[
             Style["P", Large], $CellContext`p$$ + {-0.5, 0}], 
            Text[
             Style[
              StringJoin[
               Map[
               ToString[#]& , {
                "k=", (2 Round[Part[$CellContext`p$$, 1] 10]) 0.1 + 
                 Round[Part[$CellContext`p$$, 2] 10] 0.1}]], Large], {-1, 7}], 
            Text[
             Style[
              StringJoin[
               Map[
               ToString[#]& , {
                "(x=", Round[Part[$CellContext`p$$, 1] 10] 0.1, "\:ff0c y=", 
                 Round[Part[$CellContext`p$$, 2] 10] 0.1, ")"}]], Large], {4, 
             7}]}, LabelStyle -> (FontSize -> 17), Ticks -> {{0, 2}}]], 
        Plot[(-$CellContext`x)/2 + 2, {$CellContext`x, -5, 10}, PlotStyle -> 
         Opacity[$CellContext`a$$]], 
        Graphics[
         RegionPlot[{
           
           And[$CellContext`x >= 0, $CellContext`y >= 0, 
            3 $CellContext`x + $CellContext`y <= 
            7, $CellContext`x + 2 $CellContext`y <= 4]}, {$CellContext`x, 0, 
           6}, {$CellContext`y, 0, 6}, PlotStyle -> {
            Opacity[0.5], Yellow}]], 
        Graphics[{
          PointSize[Large], 
          Point[$CellContext`p$$], 
          Point[{2, 1}], {Red, 
           
           Point[{0, 2 Part[$CellContext`p$$, 1] + 
             Part[$CellContext`p$$, 2]}]}}]], 
      "Specifications" :> {{{$CellContext`a$$, 1, 
          "\:9818\:57df\:8aac\:660e"}, {0, 
         1}}, {{$CellContext`b$$, 0, "2x+y=k"}, {0, 
         1}}, {{$CellContext`p$$, {1, 1}}, Automatic, ControlType -> 
         Locator}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{485., {261., 268.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{685, 1799},
WindowMargins->{{332, Automatic}, {Automatic, 0}},
Visible->True,
AuthoredSize->{685, 1800},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.1 Inherited,
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (2015\:5e743\:670824\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 343, 7, 95, "Subsection"],
Cell[1832, 44, 4471, 97, 531, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6340, 146, 340, 6, 95, "Subsection"],
Cell[6683, 154, 4444, 97, 531, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11164, 256, 338, 6, 69, "Subsection"],
Cell[11505, 264, 4448, 97, 531, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature 0vDMxYT2PO2IdAKDdqi3gBa0 *)
